%define module  Test-Distribution
%define version 1.22
%define release 1mdk

Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
Summary: 	Perform tests on all modules of a distribution 
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/S/SR/SRSHAH/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}
Buildrequires:	perl-Module-Build
Buildrequires:	perl-Module-Signature
Buildrequires:	perl-Module-CoreList
requires:	perl-File-Find-Rule

%description
When using this module in a test script, it goes through all the modules in
your distribution, checks their POD, checks that they compile ok and checks
that they all define a $VERSION.

This module also performs a numer of test on the distribution itself. It checks
that your files match your SIGNATURE file if you have one. It checks that your
distribution isn't missing certain 'core' description files. It checks to see
you havent' missed out listing any pre-requisites in Makefile.PL.

It defines its own testing plan, so you usually don't use it in conjunction
with other Test::* modules in the same file. It's recommended that you just
create a one-line test script as shown in the SYNOPSIS above. However, there
are options...

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Tue Sep 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdk
- New release 1.22

* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-3mdk
- don't ship empty dirs 

* Sat May 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-2mdk 
- add an explicit dependency on perl-File-Find-Rule

* Wed Apr 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdk 
- first mandriva release
